package com.ruoyi.common.event;

import org.springframework.context.ApplicationEvent;

/**
 * 需要触发base2024知识库的增删改查事件
 */
public class QaEvent extends ApplicationEvent {

  public static enum Type {
    ALL, ADD, UPDATE, REMOVE;
  }

  public QaEvent(Type source) {
    super(source);
  }

  public QaEvent() {
    super(Type.ALL);
  }

  @Override
  public Type getSource() {
    return (Type) super.getSource();
  }
}
